Package fr.gouv.vitam.collect.internal.rest

# Class CollectInternalResource

java.lang.Object
fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource
fr.gouv.vitam.collect.internal.rest.CollectInternalResource

@Path("/collect-internal/v1") public class CollectInternalResource extends ApplicationStatusResource

- ## Field Summary

  ### Fields inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `STATUS_URL, TENANTS_URL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CollectInternalResource(MetadataService metadataService, CollectService collectService, TransactionService transactionService)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `download(String unitId, String usageString, Integer version)`
  `jakarta.ws.rs.core.Response`
  `getObjectById(String gotId)`
  `jakarta.ws.rs.core.Response`
  `getUnitById(String unitId)`
  `jakarta.ws.rs.core.Response`
  `upload(String unitId, String usageString, Integer version, InputStream uploadedInputStream)`
  `jakarta.ws.rs.core.Response`
  `uploadObjectGroup(String unitId, String usageString, Integer version, @Valid ObjectDto objectDto)`

  ### Methods inherited from class fr.gouv.vitam.common.server.application.resources.ApplicationStatusResource

  `getServerTenants, status`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CollectInternalResource

    public CollectInternalResource(MetadataService metadataService, CollectService collectService, TransactionService transactionService)

- ## Method Details

  - ### getUnitById

    @Path("/units/{unitId}") @GET @Produces("application/json") public jakarta.ws.rs.core.Response getUnitById(@PathParam("unitId") String unitId)

  - ### uploadObjectGroup

    @Path("/units/{unitId}/objects/{usage}/{version}") @POST @Consumes("application/json") @Produces("application/json") public jakarta.ws.rs.core.Response uploadObjectGroup(@PathParam("unitId") String unitId, @PathParam("usage") String usageString, @PathParam("version") Integer version, @Valid @Valid ObjectDto objectDto)

  - ### getObjectById

    @Path("/objects/{gotId}") @GET @Produces("application/json") public jakarta.ws.rs.core.Response getObjectById(@PathParam("gotId") String gotId)

  - ### upload

    @Path("/units/{unitId}/objects/{usage}/{version}/binary") @POST @Consumes("application/octet-stream") @Produces("application/json") public jakarta.ws.rs.core.Response upload(@PathParam("unitId") String unitId, @PathParam("usage") String usageString, @PathParam("version") Integer version, InputStream uploadedInputStream) throws CollectInternalException
    Throws:
      `CollectInternalException`

  - ### download

    @Path("/units/{unitId}/objects/{usage}/{version}/binary") @GET @Produces("application/octet-stream") public jakarta.ws.rs.core.Response download(@PathParam("unitId") String unitId, @PathParam("usage") String usageString, @PathParam("version") Integer version)